Blame | Last modification | View Log | Download | RSS feed
#!/bin/bash
# convert Slackware's TGZ package into .MO compressed file
# which can be used as a LiveCD module
#
# Author: Tomas M. <http://www.linux-live.org>
#
if [ "$1" = "" -o "$2" = "" ]; then
echo
echo "Convert Slackware's TGZ package into .MO compressed module"
echo "usage: $0 source_filename.tgz output_file.mo"
exit 1
fi
if [ -a ./liblinuxlive ]; then
. ./liblinuxlive
else
. /usr/lib/liblinuxlive || exit 1
fi
TMPDIR=/tmp/tgz2mo$$
installpkg -root $TMPDIR $1
if [ $? != 0 ]; then echo "error installing package"; exit; fi
create_module $TMPDIR "$2"
if [ $? != 0 ]; then echo "error building compressed image"; exit; fi
rm -Rf $TMPDIR